Page MenuHomePhabricator

Wikidata fulltext search should handle search syntax properly
Closed, ResolvedPublic

Description

Statistic shows that people sometimes use query syntax on Wikidata, such as:

  • query -with -minuses
  • "quoted string" search

etc. New search does not support this (at least yet), and these are pretty rare (less than 1% of queries) but they do exist. So we may want to fall back to old search when we detect such request - despite old search being generally bad, it may return at least something for these queries.

Related Objects

StatusAssignedTask
ResolvedWikidata-bugs
DeclinedNone
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
InvalidNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedLydia_Pintscher
DuplicateSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
DuplicateNone
DeclinedNone
DeclinedNone
Resolveddaniel
ResolvedLydia_Pintscher
OpenNone
DeclinedNone
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev

Event Timeline

Smalyshev triaged this task as Normal priority.Dec 7 2017, 1:40 AM
Smalyshev created this task.
Smalyshev moved this task from Backlog to Next on the User-Smalyshev board.Dec 7 2017, 8:10 PM
Smalyshev moved this task from Next to Doing on the User-Smalyshev board.Dec 12 2017, 8:41 AM

Change 395894 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Redirect queries with advanced syntax to the old search

https://gerrit.wikimedia.org/r/395894

@dcausse I am not sure here about something: if we use old type query for syntax query, like insource:foo, should we also use scoring provided by that query, or should we use scoring profile that we use for other wikidata queries? Some syntaxes may change scoring (and actually depend on it), many may leave it alone - not sure what the best way here.

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Dec 18 2017, 2:57 PM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Dec 22 2017, 9:56 PM
Smalyshev moved this task from In review to Doing on the User-Smalyshev board.Feb 7 2018, 6:44 AM
Smalyshev moved this task from Doing to In review on the User-Smalyshev board.Feb 12 2018, 8:12 PM
Abit added a subscriber: Abit.Mar 6 2018, 3:00 AM

Change 395894 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Redirect queries with advanced syntax to the old search

https://gerrit.wikimedia.org/r/395894

Smalyshev closed this task as Resolved.Mar 20 2018, 4:58 AM